_

(vlax-get obj StartPoint)

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

(vlax-get obj StartPoint)

Postprzez daniel5 » sie 12, 2019 23:47

Witam
O co chodzi?
Chce pobrać punkt początkowy linii. I we wszystkich plikach działa, a w tym w załączniku nie działa. Zwraca punkt gdzieś obok linii.
Kod: Zaznacz cały
  (vl-load-com)
;;;=====================================================================;;;
(defun c:zc2( / )
  (setq p(entsel"\nWskaz linie:"))
  (if p
  (getpoint (trans(vlax-get(vlax-ename->vla-object (car p))'StartPoint)1 0)))
  )
Załączniki
testy.dwg
(55.2 KiB) Pobrane 4 razy
daniel5
 
Posty: 264
Dołączył(a): sty 31, 2008 15:39
Lokalizacja: Sochaczew

Re: (vlax-get obj StartPoint)

Postprzez daniel5 » sie 14, 2019 00:37

_UCS
Temat nieaktualny.
daniel5
 
Posty: 264
Dołączył(a): sty 31, 2008 15:39
Lokalizacja: Sochaczew


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników